-- Deploy camper:currency_code to pg
-- requires: schema_camper

begin;

set search_path to camper, public;

create domain currency_code as text
check (value ~ '^[A-Z]{3}$');
;

comment on domain currency_code is
'A correctly formatted, but not necessarily valid, ISO 4217 currency code.';

commit;
